//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Coves
{
    using System;
    using System.Collections.Generic;
    
    public partial class RECEIVABLE_LINE
    {
        public int ROWID { get; set; }
        public string INVOICE_ID { get; set; }
        public short LINE_NO { get; set; }
        public string REFERENCE { get; set; }
        public Nullable<decimal> QTY { get; set; }
        public decimal AMOUNT { get; set; }
        public Nullable<decimal> VAT_PERCENT { get; set; }
        public Nullable<decimal> VAT_AMOUNT { get; set; }
        public string VAT_GL_ACCT_ID { get; set; }
        public string GL_ACCOUNT_ID { get; set; }
        public Nullable<decimal> COMMISSION_PCT { get; set; }
        public string CUST_ORDER_ID { get; set; }
        public Nullable<short> CUST_ORDER_LINE_NO { get; set; }
        public string PACKLIST_ID { get; set; }
        public Nullable<short> PACKLIST_LINE_NO { get; set; }
        public string VAT_CODE { get; set; }
        public string HTS_CODE { get; set; }
        public string ORIG_COUNTRY_ID { get; set; }
        public Nullable<decimal> DUTY_PERCENT { get; set; }
        public Nullable<decimal> DUTY_AMOUNT { get; set; }
        public string vat_category { get; set; }
        public string FT_TYPE { get; set; }
        public Nullable<decimal> PREPAY_APPLIED_AMT { get; set; }
        public Nullable<decimal> PREPAY_APPLIED_VAT { get; set; }
        public string PREPAY_INVOICE_ID { get; set; }
    
        public virtual RECEIVABLE RECEIVABLE { get; set; }
    }
}
